//
//  NisusNumberFormatter.h
//  NisusCore
//
//  Created by Martin on 2019.01.11.
//  Copyright © 2019 Nisus. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NisusNumberFormatter : NSNumberFormatter

- (instancetype) initWithNisusUnitName:(NSString*)unitName allowDecimals:(BOOL)isDecimal ;

- (void) setSuffixesForNisusUnitName:(NSString*)unitName ;
- (NSString*) stringWithoutNisusUnitNameFromNumber:(NSNumber*)value ;

// If this property is set to a non-zero value, then will ensure any strings have at most that number of digits after the decimal point.
// Trailing zeros will also be trimmed, eg: "1.300" will show as "1.3" even if the max is set to 3.
@property NSUInteger maximumDecimalDigitsNisus ;

@end
